Inbox
Create forward job
Creates an outbound inbox forward job for a specific message in the thread.
POST
/v1/threads/{id}/forwardAuthorization
bearerAuth AuthorizationBearer <token>
Use an account API key in the Authorization header: Authorization: Bearer f_....
In: header
Path Parameters
idstring
Inbox thread id.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
forward_message_idstring
Format
uuidsubject?string
body_text?string
body_html?string
to_emailstring
Format
emailto_name?string
cc?array<string>
curl -X POST "https://example.com/v1/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/forward" \ -H "Content-Type: application/json" \ -d '{ "forward_message_id": "306a0f4d-2aca-4d34-ab18-53a4b50b10eb", "to_email": "referral@example.com", "body_text": "Sharing this thread." }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }}{ "error": { "type": "invalid_request_error", "code": "invalid_flow", "message": "Flow validation failed" }, "details": [ { "path": "nodes[1].data.variants[0].id", "code": "invalid_variant_id", "message": "Email variants must have a stable UUID id." } ]}{ "error": { "type": "authentication_error", "code": "invalid_api_key", "message": "A valid Furnace API key is required" }}{ "error": { "type": "invalid_request_error", "code": "campaign_not_found", "message": "Campaign not found" }}{ "error": { "type": "rate_limit_error", "code": "rate_limit_exceeded", "message": "Rate limit exceeded for this account" }}{ "error": { "type": "api_error", "code": "internal_error", "message": "Internal server error" }}